<header class="header">
    <div class="header__promotion">
        <a href="#">{{ section.settings.promobar_text }}</a>
    </div>
    <div class="header__main">
        <div class="container">
            <div class="header__main_left"><span class="uppercase">Call us at </span><a href="tel:{{ section.settings.phone_number }}">{{ section.settings.phone_number }}</a></div>
            <div class="header__main_center text-center"><a href="/"><img src="{{ section.settings.logo | img_url }}" alt="Main Logo"></a></div>
            <div class="header__main_right text-right">
                <div>
                    <a href="#"><img src="{{ 'search.svg' | asset_url }}" alt="Search"></a>
                    <a href="#"><img src="{{ 'wishlist.svg' | asset_url }}" alt="Wish List"></a>
                    <a href="#"><img src="{{ 'customer.svg' | asset_url }}" alt="Customer"></a>
                    <a href="#"><img src="{{ 'shopping_bag.svg' | asset_url }}" alt="Shopping_bag"></a>
                </div>
            </div>
        </div>
    </div>
    {% if linklists[section.settings.main_menu].links != blank %}
        <nav class="header__navigation">
            <ul class="d-flex justify-content-center">
                {% for main_menu in linklists[section.settings.main_menu].links %}
                    <li class="nav__list--item {{ main_menu.title | downcase | handleize }}-item"><a href="{{ main_menu.url }}">{{ main_menu.title | upcase }}</a></li>
                {% endfor %}
            </ul>
        </nav>
    {% endif %}
</header>

{% schema %}
{
  "name": "Header",
  "class": "header",
  "tag": "section",
  "settings": [
    {
      "type": "text",
      "id": "promobar_text",
      "label": "Promobar Text"
    },
    {
      "type": "link_list",
      "id": "main_menu",
      "label": "Menu"
    },
    {
      "type": "image_picker",
      "id": "logo",
      "label": "Logo"
    },
    {
      "type": "image_picker",
      "id": "dark_logo",
      "label": "Dark Logo"
    },
    {
      "type": "text",
      "id": "phone_number",
      "label": "Phone Number"
    }

  ],
  "presets": [
    {
      "name": "Header"
    }
  ]
}
{% endschema %}